#
# spec file for package ppmake (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  pvm readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pvm rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ppmake
Copyright:    distributable
Group:        Development/Tools
Provides:     ppmake 
Requires:     pvm
Autoreqprov:  on
Version:      2.0
Release:      355
Summary:      Real parallel execution of Makefiles
URL:          http://www3.informatik.tu-muenchen.de/~zimmerms/ppmake/
Source:       http://www3.informatik.tu-muenchen.de/~zimmerms/ppmake/ppmake.V%{version}.tar.Z
Patch:        ppmake.V%{version}.dif
BuildRoot:   /var/tmp/ppmake-root

%description
ppmake is a set of scripts and programs that use PVM to spread the
individual jobs in a make process across a number of resources. This
doesn't require any changes to your Makefile or to the make
executable. These resources must all have access to the same set of
source files and executables.

Authors:
--------
    Stephan Zimmermann <Stephan.Zimmermann@informatik.tu-muenchen.de>

SuSE series: beo

%prep
%setup -c -n ppmake
%patch

%build
aimk

%install
rm -rf $RPM_BUILD_ROOT
SYSTEM=`/usr/bin/pvmgetarch`
export PVM_ROOT=/usr/share/pvm3
install -d $RPM_BUILD_ROOT/usr/bin
install -m 0755 ppmake $RPM_BUILD_ROOT/usr/bin
install -m 0755 eval_arguments $RPM_BUILD_ROOT/usr/bin
install -m 0755 $SYSTEM/ppmconnect $RPM_BUILD_ROOT/usr/bin
install -m 0755 $SYSTEM/ppmdistribute $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT$PVM_ROOT/bin/$SYSTEM/
install -m 0755 $SYSTEM/ppmclient $RPM_BUILD_ROOT/$PVM_ROOT/bin/$SYSTEM/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README readme.html
/usr/bin/*
/usr/share/pvm3/bin/LINUX*/ppmclient

%changelog -n ppmake
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Feb 16 2001 - nashif@suse.de
- Modified spec file to work for ia64
* Tue Nov 07 2000 - nashif@suse.de
- Use BuildRoot
* Tue Jun 27 2000 - ro@suse.de
- fixed file list
* Thu Feb 17 2000 - grimmer@suse.de
- added URL
- use version macro in spec file
- added Group Tag
* Tue Feb 15 2000 - aj@suse.de
- Fixed spec file.
* Thu Jan 06 2000 - kukuk@suse.de
- fixed spec for SPARC
* Mon Sep 20 1999 - uli@suse.de
- fixed spec for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - ro@suse.de
- adapted paths for alpha
* Tue Mar 09 1999 - grimmer@suse.de
- new package
